gtk-sharp [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 71 EB 6C 55 75 52 9C BF 72 44 F7 A6 EA 05 62 84 F9 EA E0 3B CF F2 CC 13 2C 9C 49 0A B3 09 EA B0 B5 6B CE 44 9D F5 03 D9 C0 A8 1E 52 05 85 CD BE 70 E2 FB 90 43 4B AC 04 FA 62 22 A8 00 98 B7 A1 A7 B3 AF 99 1A 41 23 24 BB 43 25 F6 B8 65 BB 64 EB F6 D1 C2 06 D5 73 2D DF BC 70 A7 38 9E E5 3E 0C 24 6E 32 79 74 1A D0 05 03 E4 98 42 E1 9B F3 7B 19 8B 40 21 26 CB 36 89 C2 EA 64 96 A4 7C B4] 2.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A group of actions

Actions are organised into groups. An action group is essentially a map from names to objects.

All actions that would make sense to use in a particular context should be in a single group. Multiple action groups may be used for a particular user interface. In fact, it is expected that most nontrivial applications will make use of multiple groups. For example, in an application that can edit multiple documents, one group holding global actions (e.g. quit, about, new), and one group per document holding actions that act on that document (eg. save, cut/copy/paste, etc). Each window's menus would be constructed from a combination of two action groups.

Accelerators are handled by the Gtk accelerator map. All actions are assigned an accelerator path (which normally has the form <Actions>/group-name/action-name) and a shortcut is associated with this accelerator path. All menuitems and toolitems take on this accelerator path. The Gtk accelerator map code makes sure that the correct shortcut is displayed next to the menu item.

GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` `` Sets a function to be used for translating the label and tooltip of GtkActionGroupEntrys added by . a a a If you are using gettext(), it is enough to set the translation domain with .
- Method
  System.Void `` Removes an action object from the action group. a
- Method
  System.Void `` `` Adds an action object to the action group and sets up the accelerator. a a . The accelerator for the action, in the format understood by , or "" for no accelerator, or to use the stock accelerator

  If accelerator is , attempts to use the accelerator associated with the stock_id of the action.

  Accel paths are set to <Actions>/group-name/action-name.

- Method
  Gtk.Action `` Looks up an action in the action group by name. a , the name of the action a , or if no action by that name exists To be added
- Method
  System.Void `` Adds an action object to the action group. a Note that this function does not set up the accel path of the action, which can lead to problems if a user tries to modify the accelerator of a menuitem associated with the action. Therefore you must either set the accel path yourself with , or use .
- Method
  GLib.List Lists the actions in the action group. a To be added
- Constructor
  Internal constructor
  a
  a
- Constructor
  Internal constructor
  a
  a
- Constructor
  Creates a new object.
  a , the name of the action group.
  a
  The name of the action group is used when associating keybindings with the actions.
- Property
  GLib.GType To be added a To be added
- Property
  System.Boolean The visibility of the ActionGroup a The constituent actions can only be logically visible (see ) if they are visible (see ) and their group is visible.
- Property
  System.Boolean The sensitivity of the ActionGroup a The constituent actions can only be logically sensitive (see ) if they are sensitive (see ) and their group is sensitive.
- Property
  System.String Gets the name of the action group. a
- Property
  System.String Sets the translation domain and uses dgettext() for translating the label and tooltip of s added by . a To be added